static PyObject *
_wrap_gnomelib_init(PyObject *self, PyObject *args)
{
    char *app_id, *app_version;

    if (!PyArg_ParseTuple(args, "ss:gnomelib_init", &app_id, &app_version))
        return NULL;
    gnomelib_init(app_id, app_version);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_get_translated_string(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *path;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_config_get_translated_string", &path))
        return NULL;
    ret = gnome_config_get_translated_string(path);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_config_get_int(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_get_int", &path))
        return NULL;
    return PyInt_FromLong(gnome_config_get_int(path));
}

static PyObject *
_wrap_gnome_config_get_float(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_get_float", &path))
        return NULL;
    return PyFloat_FromDouble(gnome_config_get_float(path));
}

static PyObject *
_wrap_gnome_config_get_bool(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_get_bool", &path))
        return NULL;
    return PyInt_FromLong(gnome_config_get_bool(path));
}

static PyObject *
_wrap_gnome_config_private_get_translated_string(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *path;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_get_translated_string", &path))
        return NULL;
    ret = gnome_config_private_get_translated_string(path);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_config_private_get_int(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_get_int", &path))
        return NULL;
    return PyInt_FromLong(gnome_config_private_get_int(path));
}

static PyObject *
_wrap_gnome_config_private_get_float(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_get_float", &path))
        return NULL;
    return PyFloat_FromDouble(gnome_config_private_get_float(path));
}

static PyObject *
_wrap_gnome_config_private_get_bool(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_get_bool", &path))
        return NULL;
    return PyInt_FromLong(gnome_config_private_get_bool(path));
}

static PyObject *
_wrap_gnome_config_set_string(PyObject *self, PyObject *args)
{
    char *path, *val;

    if (!PyArg_ParseTuple(args, "ss:gnome_config_set_string", &path, &val))
        return NULL;
    gnome_config_set_string(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_set_translated_string(PyObject *self, PyObject *args)
{
    char *path, *val;

    if (!PyArg_ParseTuple(args, "ss:gnome_config_set_translated_string", &path, &val))
        return NULL;
    gnome_config_set_translated_string(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_set_int(PyObject *self, PyObject *args)
{
    char *path;
    int val;

    if (!PyArg_ParseTuple(args, "si:gnome_config_set_int", &path, &val))
        return NULL;
    gnome_config_set_int(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_set_float(PyObject *self, PyObject *args)
{
    char *path;
    double val;

    if (!PyArg_ParseTuple(args, "sd:gnome_config_set_float", &path, &val))
        return NULL;
    gnome_config_set_float(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_set_bool(PyObject *self, PyObject *args)
{
    char *path;
    int val;

    if (!PyArg_ParseTuple(args, "si:gnome_config_set_bool", &path, &val))
        return NULL;
    gnome_config_set_bool(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_set_string(PyObject *self, PyObject *args)
{
    char *path, *val;

    if (!PyArg_ParseTuple(args, "ss:gnome_config_private_set_string", &path, &val))
        return NULL;
    gnome_config_private_set_string(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_set_translated_string(PyObject *self, PyObject *args)
{
    char *path, *val;

    if (!PyArg_ParseTuple(args, "ss:gnome_config_private_set_translated_string", &path, &val))
        return NULL;
    gnome_config_private_set_translated_string(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_set_int(PyObject *self, PyObject *args)
{
    char *path;
    int val;

    if (!PyArg_ParseTuple(args, "si:gnome_config_private_set_int", &path, &val))
        return NULL;
    gnome_config_private_set_int(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_set_float(PyObject *self, PyObject *args)
{
    char *path;
    double val;

    if (!PyArg_ParseTuple(args, "sd:gnome_config_private_set_float", &path, &val))
        return NULL;
    gnome_config_private_set_float(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_set_bool(PyObject *self, PyObject *args)
{
    char *path;
    int val;

    if (!PyArg_ParseTuple(args, "si:gnome_config_private_set_bool", &path, &val))
        return NULL;
    gnome_config_private_set_bool(path, val);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_has_section(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_has_section", &path))
        return NULL;
    return PyInt_FromLong(gnome_config_has_section(path));
}

static PyObject *
_wrap_gnome_config_private_has_section(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_has_section", &path))
        return NULL;
    return PyInt_FromLong(gnome_config_private_has_section(path));
}

static PyObject *
_wrap_gnome_config_drop_all(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_config_drop_all"))
        return NULL;
    gnome_config_drop_all();
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_sync(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_config_sync"))
        return NULL;
    gnome_config_sync();
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_sync_file(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_sync_file", &path))
        return NULL;
    gnome_config_sync_file(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_sync_file(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_sync_file", &path))
        return NULL;
    gnome_config_private_sync_file(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_drop_file(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_drop_file", &path))
        return NULL;
    gnome_config_drop_file(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_drop_file(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_drop_file", &path))
        return NULL;
    gnome_config_private_drop_file(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_clean_file(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_clean_file", &path))
        return NULL;
    gnome_config_clean_file(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_clean_file(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_clean_file", &path))
        return NULL;
    gnome_config_private_clean_file(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_clean_section(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_clean_section", &path))
        return NULL;
    gnome_config_clean_section(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_clean_section(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_clean_section", &path))
        return NULL;
    gnome_config_private_clean_section(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_clean_key(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_clean_key", &path))
        return NULL;
    gnome_config_clean_key(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_private_clean_key(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_clean_key", &path))
        return NULL;
    gnome_config_private_clean_key(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_get_real_path(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *path;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_config_get_real_path", &path))
        return NULL;
    ret = gnome_config_get_real_path(path);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_config_private_get_real_path(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *path;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_config_private_get_real_path", &path))
        return NULL;
    ret = gnome_config_private_get_real_path(path);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_config_push_prefix(PyObject *self, PyObject *args)
{
    char *path;

    if (!PyArg_ParseTuple(args, "s:gnome_config_push_prefix", &path))
        return NULL;
    gnome_config_push_prefix(path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_config_pop_prefix(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_config_pop_prefix"))
        return NULL;
    gnome_config_pop_prefix();
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_help_file_find_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *app, *path;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_help_file_find_file", &app, &path))
        return NULL;
    ret = gnome_help_file_find_file(app, path);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_help_file_path(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *app, *path;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_help_file_path", &app, &path))
        return NULL;
    ret = gnome_help_file_path(app, path);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_history_recently_used(PyObject *self, PyObject *args)
{
    char *filename, *filetype, *creator, *desc;

    if (!PyArg_ParseTuple(args, "ssss:gnome_history_recently_used", &filename, &filetype, &creator, &desc))
        return NULL;
    gnome_history_recently_used(filename, filetype, creator, desc);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mime_type(PyObject *self, PyObject *args)
{
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_mime_type", &filename))
        return NULL;
    ret = gnome_mime_type(filename);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_type_or_default(PyObject *self, PyObject *args)
{
    char *filename, *defaultv;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_mime_type_or_default", &filename, &defaultv))
        return NULL;
    ret = gnome_mime_type_or_default(filename, defaultv);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_type_of_file(PyObject *self, PyObject *args)
{
    char *existing_filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_mime_type_of_file", &existing_filename))
        return NULL;
    ret = gnome_mime_type_of_file(existing_filename);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_type_or_default_of_file(PyObject *self, PyObject *args)
{
    char *existing_filename, *defaultv;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_mime_type_or_default_of_file", &existing_filename, &defaultv))
        return NULL;
    ret = gnome_mime_type_or_default_of_file(existing_filename, defaultv);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_type_from_magic(PyObject *self, PyObject *args)
{
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_mime_type_from_magic", &filename))
        return NULL;
    ret = gnome_mime_type_from_magic(filename);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_get_value(PyObject *self, PyObject *args)
{
    char *mime_type, *key;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_mime_get_value", &mime_type, &key))
        return NULL;
    ret = gnome_mime_get_value(mime_type, key);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_program(PyObject *self, PyObject *args)
{
    char *mime_type;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_mime_program", &mime_type))
        return NULL;
    ret = gnome_mime_program(mime_type);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_description(PyObject *self, PyObject *args)
{
    char *mime_type;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_mime_description", &mime_type))
        return NULL;
    ret = gnome_mime_description(mime_type);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_test(PyObject *self, PyObject *args)
{
    char *mime_type;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_mime_test", &mime_type))
        return NULL;
    ret = gnome_mime_test(mime_type);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_composetyped(PyObject *self, PyObject *args)
{
    char *mime_type;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_mime_composetyped", &mime_type))
        return NULL;
    ret = gnome_mime_composetyped(mime_type);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_mime_copiousoutput(PyObject *self, PyObject *args)
{
    char *mime_type, *key;

    if (!PyArg_ParseTuple(args, "ss:gnome_mime_copiousoutput", &mime_type, &key))
        return NULL;
    return PyInt_FromLong(gnome_mime_copiousoutput(mime_type, key));
}

static PyObject *
_wrap_gnome_mime_needsterminal(PyObject *self, PyObject *args)
{
    char *mime_type, *key;

    if (!PyArg_ParseTuple(args, "ss:gnome_mime_needsterminal", &mime_type, &key))
        return NULL;
    return PyInt_FromLong(gnome_mime_needsterminal(mime_type, key));
}

static PyObject *
_wrap_gnome_score_init(PyObject *self, PyObject *args)
{
    char *gamename;

    if (!PyArg_ParseTuple(args, "s:gnome_score_init", &gamename))
        return NULL;
    return PyInt_FromLong(gnome_score_init(gamename));
}

static PyObject *
_wrap_gnome_triggers_init(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_triggers_init"))
        return NULL;
    gnome_triggers_init();
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_url_show(PyObject *self, PyObject *args)
{
    char *url;

    if (!PyArg_ParseTuple(args, "s:gnome_url_show", &url))
        return NULL;
    gnome_url_show(url);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_libdir_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_libdir_file", &filename))
        return NULL;
    ret = gnome_libdir_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_datadir_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_datadir_file", &filename))
        return NULL;
    ret = gnome_datadir_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_sound_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_sound_file", &filename))
        return NULL;
    ret = gnome_sound_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_pixmap_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_pixmap_file", &filename))
        return NULL;
    ret = gnome_pixmap_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_config_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_config_file", &filename))
        return NULL;
    ret = gnome_config_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_unconditional_libdir_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_unconditional_libdir_file", &filename))
        return NULL;
    ret = gnome_unconditional_libdir_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_unconditional_datadir_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_unconditional_datadir_file", &filename))
        return NULL;
    ret = gnome_unconditional_datadir_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_unconditional_sound_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_unconditional_sound_file", &filename))
        return NULL;
    ret = gnome_unconditional_sound_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_unconditional_pixmap_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_unconditional_pixmap_file", &filename))
        return NULL;
    ret = gnome_unconditional_pixmap_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_unconditional_config_file(PyObject *self, PyObject *args)
{
    PyObject *py_ret;
    char *filename;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_unconditional_config_file", &filename))
        return NULL;
    ret = gnome_unconditional_config_file(filename);
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

