static PyObject *
_wrap_gtk_xmhtml_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gtk_xmhtml_get_type"))
        return NULL;
    return PyInt_FromLong(gtk_xmhtml_get_type());
}

static PyObject *
_wrap_gtk_xmhtml_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gtk_xmhtml_new"))
        return NULL;
    ret = (GtkObject *) gtk_xmhtml_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_freeze(PyObject *self, PyObject *args)
{
    PyObject *html;

    if (!PyArg_ParseTuple(args, "O!:gtk_xmhtml_freeze", &PyGtk_Type, &html))
        return NULL;
    gtk_xmhtml_freeze(GTK_XMHTML(PyGtk_Get(html)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_thaw(PyObject *self, PyObject *args)
{
    PyObject *html;

    if (!PyArg_ParseTuple(args, "O!:gtk_xmhtml_thaw", &PyGtk_Type, &html))
        return NULL;
    gtk_xmhtml_thaw(GTK_XMHTML(PyGtk_Get(html)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_source(PyObject *self, PyObject *args)
{
    PyObject *html;
    char *source;

    if (!PyArg_ParseTuple(args, "O!s:gtk_xmhtml_source", &PyGtk_Type, &html, &source))
        return NULL;
    gtk_xmhtml_source(GTK_XMHTML(PyGtk_Get(html)), source);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_string_direction(PyObject *self, PyObject *args)
{
    PyObject *html;
    int direction;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_string_direction", &PyGtk_Type, &html, &direction))
        return NULL;
    gtk_xmhtml_set_string_direction(GTK_XMHTML(PyGtk_Get(html)), direction);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_alignment(PyObject *self, PyObject *args)
{
    PyObject *html;
    int alignment;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_alignment", &PyGtk_Type, &html, &alignment))
        return NULL;
    gtk_xmhtml_set_alignment(GTK_XMHTML(PyGtk_Get(html)), alignment);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_font_familty(PyObject *self, PyObject *args)
{
    PyObject *html;
    char *family, *sizes;

    if (!PyArg_ParseTuple(args, "O!ss:gtk_xmhtml_set_font_familty", &PyGtk_Type, &html, &family, &sizes))
        return NULL;
    gtk_xmhtml_set_font_familty(GTK_XMHTML(PyGtk_Get(html)), family, sizes);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_font_familty_fixed(PyObject *self, PyObject *args)
{
    PyObject *html;
    char *family, *sizes;

    if (!PyArg_ParseTuple(args, "O!ss:gtk_xmhtml_set_font_familty_fixed", &PyGtk_Type, &html, &family, &sizes))
        return NULL;
    gtk_xmhtml_set_font_familty_fixed(GTK_XMHTML(PyGtk_Get(html)), family, sizes);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_font_charset(PyObject *self, PyObject *args)
{
    PyObject *html;
    char *charset;

    if (!PyArg_ParseTuple(args, "O!s:gtk_xmhtml_set_font_charset", &PyGtk_Type, &html, &charset))
        return NULL;
    gtk_xmhtml_set_font_charset(GTK_XMHTML(PyGtk_Get(html)), charset);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_allow_body_colors(PyObject *self, PyObject *args)
{
    PyObject *html;
    int enable;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_allow_body_colors", &PyGtk_Type, &html, &enable))
        return NULL;
    gtk_xmhtml_set_allow_body_colors(GTK_XMHTML(PyGtk_Get(html)), enable);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_hilight_on_enter(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_hilight_on_enter", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_hilight_on_enter(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_anchor_underline_type(PyObject *self, PyObject *args)
{
    PyObject *html;
    int underline_type;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_anchor_underline_type", &PyGtk_Type, &html, &underline_type))
        return NULL;
    gtk_xmhtml_set_anchor_underline_type(GTK_XMHTML(PyGtk_Get(html)), underline_type);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_anchor_visited_underline_type(PyObject *self, PyObject *args)
{
    PyObject *html;
    int underline_type;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_anchor_visited_underline_type", &PyGtk_Type, &html, &underline_type))
        return NULL;
    gtk_xmhtml_set_anchor_visited_underline_type(GTK_XMHTML(PyGtk_Get(html)), underline_type);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_anchor_target_underline_type(PyObject *self, PyObject *args)
{
    PyObject *html;
    int underline_type;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_anchor_target_underline_type", &PyGtk_Type, &html, &underline_type))
        return NULL;
    gtk_xmhtml_set_anchor_target_underline_type(GTK_XMHTML(PyGtk_Get(html)), underline_type);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_allow_color_switching(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_allow_color_switching", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_allow_color_switching(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_dithering(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_dithering", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_dithering(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_allow_font_switching(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_allow_font_switching", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_allow_font_switching(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_max_image_colors(PyObject *self, PyObject *args)
{
    PyObject *html;
    int max_colours;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_max_image_colors", &PyGtk_Type, &html, &max_colours))
        return NULL;
    gtk_xmhtml_set_max_image_colors(GTK_XMHTML(PyGtk_Get(html)), max_colours);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_allow_images(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_allow_images", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_allow_images(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_plc_intervals(PyObject *self, PyObject *args)
{
    PyObject *html;
    int min_delay, max_delay, def_delay;

    if (!PyArg_ParseTuple(args, "O!iii:gtk_xmhtml_set_plc_intervals", &PyGtk_Type, &html, &min_delay, &max_delay, &def_delay))
        return NULL;
    gtk_xmhtml_set_plc_intervals(GTK_XMHTML(PyGtk_Get(html)), min_delay, max_delay, def_delay);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_def_body_image_url(PyObject *self, PyObject *args)
{
    PyObject *html;
    char *url;

    if (!PyArg_ParseTuple(args, "O!s:gtk_xmhtml_set_def_body_image_url", &PyGtk_Type, &html, &url))
        return NULL;
    gtk_xmhtml_set_def_body_image_url(GTK_XMHTML(PyGtk_Get(html)), url);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_anchor_buttons(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_anchor_buttons", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_anchor_buttons(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_anchor_cursor(PyObject *self, PyObject *args)
{
    PyObject *html, *cursor;
    int flag;

    if (!PyArg_ParseTuple(args, "O!O!i:gtk_xmhtml_set_anchor_cursor", &PyGtk_Type, &html, &PyGdkCursor_Type, &cursor, &flag))
        return NULL;
    gtk_xmhtml_set_anchor_cursor(GTK_XMHTML(PyGtk_Get(html)), PyGdkCursor_Get(cursor), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_topline(PyObject *self, PyObject *args)
{
    PyObject *html;
    int line;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_topline", &PyGtk_Type, &html, &line))
        return NULL;
    gtk_xmhtml_set_topline(GTK_XMHTML(PyGtk_Get(html)), line);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_get_topline(PyObject *self, PyObject *args)
{
    PyObject *html;

    if (!PyArg_ParseTuple(args, "O!:gtk_xmhtml_get_topline", &PyGtk_Type, &html))
        return NULL;
    return PyInt_FromLong(gtk_xmhtml_get_topline(GTK_XMHTML(PyGtk_Get(html))));
}

static PyObject *
_wrap_gtk_xmhtml_set_freeze_animations(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_freeze_animations", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_freeze_animations(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_screen_gamma(PyObject *self, PyObject *args)
{
    PyObject *html;
    double gamma;

    if (!PyArg_ParseTuple(args, "O!d:gtk_xmhtml_set_screen_gamma", &PyGtk_Type, &html, &gamma))
        return NULL;
    gtk_xmhtml_set_screen_gamma(GTK_XMHTML(PyGtk_Get(html)), gamma);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_perfect_colors(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_perfect_colors", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_perfect_colors(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_uncompress_command(PyObject *self, PyObject *args)
{
    PyObject *html;
    char *cmd;

    if (!PyArg_ParseTuple(args, "O!s:gtk_xmhtml_set_uncompress_command", &PyGtk_Type, &html, &cmd))
        return NULL;
    gtk_xmhtml_set_uncompress_command(GTK_XMHTML(PyGtk_Get(html)), cmd);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_strict_checking(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_strict_checking", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_strict_checking(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_bad_html_warnings(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_bad_html_warnings", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_bad_html_warnings(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_allow_form_coloring(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_allow_form_coloring", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_allow_form_coloring(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_imagemap_draw(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_imagemap_draw", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_imagemap_draw(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_mime_type(PyObject *self, PyObject *args)
{
    PyObject *html;
    char *mime_type;

    if (!PyArg_ParseTuple(args, "O!s:gtk_xmhtml_set_mime_type", &PyGtk_Type, &html, &mime_type))
        return NULL;
    gtk_xmhtml_set_mime_type(GTK_XMHTML(PyGtk_Get(html)), mime_type);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_alpha_processing(PyObject *self, PyObject *args)
{
    PyObject *html;
    int flag;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_alpha_processing", &PyGtk_Type, &html, &flag))
        return NULL;
    gtk_xmhtml_set_alpha_processing(GTK_XMHTML(PyGtk_Get(html)), flag);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_xmhtml_set_rgb_conv_mode(PyObject *self, PyObject *args)
{
    PyObject *html;
    int val;

    if (!PyArg_ParseTuple(args, "O!i:gtk_xmhtml_set_rgb_conv_mode", &PyGtk_Type, &html, &val))
        return NULL;
    gtk_xmhtml_set_rgb_conv_mode(GTK_XMHTML(PyGtk_Get(html)), val);
    Py_INCREF(Py_None);
    return Py_None;
}

